<template>
  <table>
    <tbody>
      <template v-for="(list, category) in templates" :key="category">
        <tr>
          <th colspan="2">{{ category }}</th>
        </tr>
        <tr v-for="(html, tag) in list" :key="tag">
          <td><code>{{ tag }}</code></td>
          <td v-html="html" /> <!-- eslint-disable-line vue/no-v-html -->
        </tr>
      </template>
    </tbody>
  </table>
</template>

<script>
export default {
  name: 'HtmlResetView',
  data () {
    return {
      templates: {
        'Inline elements': {
          a: '<a href="#">Anchor link</a>, <a href="/something">Internal link</a> and <a href="https://garden-party.io">External link</a>',
          img: '<img src="https://picsum.photos/200" alt="random picture">',
          span: 'Here is a simple <span>span</span>.',
          em: 'Text with <em>emphasis</em>.',
          i: 'Deprecated <i>italics</i>.',
          b: 'Deprecated <b>bold</b>',
          strong: 'Text with more <strong>emphasis</strong>',
          mark: '<mark>Notice me!</mark>',
          s: 'Some <s>deleted</s> text',
          sub: 'H<sub>2</sub>O',
          small: 'Used to represent the <small>small print</small> of a document.',
          address: '<address>Main street 67</address>',
          cite: 'For more monsters, see <cite>The Monster Book of Monsters</cite>.',
          sup: 'x<sup>2</sup>',
          q: '<q>Me?</q>, she said.',
          time: '<time datetime="2020-05-23" pubdate>published on 23-05-2020</time>.',
          code: '<code>something</code>',
          // audio: '',
          // video: '',
        },
        'Block elements': {
          p: '<p>A paragraph</p>',
          blockquote: '<blockquote>The blockquote element indicates an extended quotation.</blockquote>',
          details: `<details>
              <summary>Html Cheat Sheet</summary>
              <p>Inline elements</p>
              <p>Block elements</p>
            </details>`,
          ul: `<ul>
          <li>I'm an item</li>
          <li>I'm another item</li>
        </ul>`,
          ol: `<ol>
          <li>I'm the first item</li>
          <li>I'm the second item</li>
        </ol>`,
          dl: `<dl>
          <dt>A Term</dt>
          <dd>Definition of a term</dd>
          <dt>Another Term</dt>
          <dd>Definition of another term</dd>
        </dl>`,
          hr: '<hr>',
          h1: '<h1>This is Heading 1</h1>',
          h2: '<h2>This is Heading 2</h2>',
          h3: '<h3>This is Heading 3</h3>',
          h4: '<h4>This is Heading 4</h4>',
          h5: '<h5>This is Heading 5</h5>',
          h6: '<h6>This is Heading 6</h6>',
        },
        'Form elements': {
          fieldset: `
            <fieldset>
              <legend>Legend</legend>
              Content
            </fieldset>
          `,
          form: '<form>Form content</form>',
          input: `
            <div class="-grid-1-4 -grid--gap">
              <div class="-text--right">button</div>
              <div><input type="button" value="Button"></div>

              <div class="-text--right">checkbox</div>
              <div><input type="checkbox"></div>

              <div class="-text--right">color</div>
              <div><input type="color"></div>

              <div class="-text--right">date</div>
              <div><input type="date"></div>

              <div class="-text--right">datetime-local</div>
              <div><input type="datetime-local"></div>

              <div class="-text--right">email</div>
              <div><input type="email"></div>

              <div class="-text--right">file</div>
              <div><input type="file"></div>

              <div class="-text--right">hidden</div>
              <div><input type="hidden"></div>

              <div class="-text--right">image</div>
              <div><input type="image"></div>

              <div class="-text--right">month</div>
              <div><input type="month"></div>

              <div class="-text--right">number</div>
              <div><input type="number"></div>

              <div class="-text--right">password</div>
              <div><input type="password"></div>

              <div class="-text--right">radio</div>
              <div><input type="radio"></div>

              <div class="-text--right">range</div>
              <div><input type="range"></div>

              <div class="-text--right">reset</div>
              <div><input type="reset" value="Reset"></div>

              <div class="-text--right">search</div>
              <div><input type="search"></div>

              <div class="-text--right">submit</div>
              <div><input type="submit" value="Submit"></div>

              <div class="-text--right">tel</div>
              <div><input type="tel"></div>

              <div class="-text--right">text</div>
              <div><input type="text"></div>

              <div class="-text--right">time</div>
              <div><input type="time"></div>

              <div class="-text--right">url</div>
              <div><input type="url"></div>

              <div class="-text--right">week</div>
              <div><input type="week"></div>
            </div>
          `,
          'input:required': '<input type="text" value="Value" required>',
          'input:disabled': '<input type="text" value="Value" disabled>',
          'input:readonly': '<input type="text" value="Value" readonly >',
          'input:invalid': '<input type="email" value="invalid_email@">',
          label: '<label>Content</label>',
          legend: '<legend>Content</legend>',
          meter: '<meter id="fuel" min="0" max="100" low="33" high="66" optimum="80" value="50">at 50/100</meter>',
          output: '<output>Value</output>',
          progress: '<progress id="file" max="100" value="70">70%</progress>',
          select: `
            <select>
              <option value="1">Option 1</option>
              <option value="2">Option 2</option>
              <option value="3">Option 3</option>
              <optgroup label="Sub-group">
                <option value="3">Option 4</option>
              </optgroup>
            </select>
          `,
          textarea: '<textarea></textarea>',
        },
      },
    }
  },
  created () {
    this.$setTitle('HTML reset')
  },
}
</script>
